// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.17.3
// source: portdomainservice/source/grpc/proto/clientapi.proto

package grpc

import (
	context "context"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type PortsRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Message string `protobuf:"bytes,1,opt,name=message,proto3" json:"message,omitempty"`
}

func (x *PortsRequest) Reset() {
	*x = PortsRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_portdomainservice_source_grpc_proto_clientapi_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PortsRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PortsRequest) ProtoMessage() {}

func (x *PortsRequest) ProtoReflect() protoreflect.Message {
	mi := &file_portdomainservice_source_grpc_proto_clientapi_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PortsRequest.ProtoReflect.Descriptor instead.
func (*PortsRequest) Descriptor() ([]byte, []int) {
	return file_portdomainservice_source_grpc_proto_clientapi_proto_rawDescGZIP(), []int{0}
}

func (x *PortsRequest) GetMessage() string {
	if x != nil {
		return x.Message
	}
	return ""
}

type PortsReply struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Message string `protobuf:"bytes,1,opt,name=message,proto3" json:"message,omitempty"`
}

func (x *PortsReply) Reset() {
	*x = PortsReply{}
	if protoimpl.UnsafeEnabled {
		mi := &file_portdomainservice_source_grpc_proto_clientapi_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PortsReply) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PortsReply) ProtoMessage() {}

func (x *PortsReply) ProtoReflect() protoreflect.Message {
	mi := &file_portdomainservice_source_grpc_proto_clientapi_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PortsReply.ProtoReflect.Descriptor instead.
func (*PortsReply) Descriptor() ([]byte, []int) {
	return file_portdomainservice_source_grpc_proto_clientapi_proto_rawDescGZIP(), []int{1}
}

func (x *PortsReply) GetMessage() string {
	if x != nil {
		return x.Message
	}
	return ""
}

var File_portdomainservice_source_grpc_proto_clientapi_proto protoreflect.FileDescriptor

var file_portdomainservice_source_grpc_proto_clientapi_proto_rawDesc = []byte{
	0x0a, 0x33, 0x70, 0x6f, 0x72, 0x74, 0x64, 0x6f, 0x6d, 0x61, 0x69, 0x6e, 0x73, 0x65, 0x72, 0x76,
	0x69, 0x63, 0x65, 0x2f, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x2f, 0x67, 0x72, 0x70, 0x63, 0x2f,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x61, 0x70, 0x69, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x05, 0x70, 0x6f, 0x72, 0x74, 0x73, 0x22, 0x28, 0x0a, 0x0c,
	0x50, 0x6f, 0x72, 0x74, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x18, 0x0a, 0x07,
	0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x6d,
	0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x22, 0x26, 0x0a, 0x0a, 0x50, 0x6f, 0x72, 0x74, 0x73, 0x52,
	0x65, 0x70, 0x6c, 0x79, 0x12, 0x18, 0x0a, 0x07, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x32, 0x42,
	0x0a, 0x09, 0x50, 0x6f, 0x72, 0x74, 0x73, 0x44, 0x61, 0x74, 0x61, 0x12, 0x35, 0x0a, 0x09, 0x50,
	0x6f, 0x72, 0x74, 0x73, 0x44, 0x61, 0x74, 0x61, 0x12, 0x13, 0x2e, 0x70, 0x6f, 0x72, 0x74, 0x73,
	0x2e, 0x50, 0x6f, 0x72, 0x74, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x11, 0x2e,
	0x70, 0x6f, 0x72, 0x74, 0x73, 0x2e, 0x50, 0x6f, 0x72, 0x74, 0x73, 0x52, 0x65, 0x70, 0x6c, 0x79,
	0x22, 0x00, 0x42, 0x20, 0x5a, 0x1e, 0x70, 0x6f, 0x72, 0x74, 0x64, 0x6f, 0x6d, 0x61, 0x69, 0x6e,
	0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2f, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x2f, 0x67,
	0x72, 0x70, 0x63, 0x2f, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_portdomainservice_source_grpc_proto_clientapi_proto_rawDescOnce sync.Once
	file_portdomainservice_source_grpc_proto_clientapi_proto_rawDescData = file_portdomainservice_source_grpc_proto_clientapi_proto_rawDesc
)

func file_portdomainservice_source_grpc_proto_clientapi_proto_rawDescGZIP() []byte {
	file_portdomainservice_source_grpc_proto_clientapi_proto_rawDescOnce.Do(func() {
		file_portdomainservice_source_grpc_proto_clientapi_proto_rawDescData = protoimpl.X.CompressGZIP(file_portdomainservice_source_grpc_proto_clientapi_proto_rawDescData)
	})
	return file_portdomainservice_source_grpc_proto_clientapi_proto_rawDescData
}

var file_portdomainservice_source_grpc_proto_clientapi_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_portdomainservice_source_grpc_proto_clientapi_proto_goTypes = []interface{}{
	(*PortsRequest)(nil), // 0: ports.PortsRequest
	(*PortsReply)(nil),   // 1: ports.PortsReply
}
var file_portdomainservice_source_grpc_proto_clientapi_proto_depIdxs = []int32{
	0, // 0: ports.PortsData.PortsData:input_type -> ports.PortsRequest
	1, // 1: ports.PortsData.PortsData:output_type -> ports.PortsReply
	1, // [1:2] is the sub-list for method output_type
	0, // [0:1] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_portdomainservice_source_grpc_proto_clientapi_proto_init() }
func file_portdomainservice_source_grpc_proto_clientapi_proto_init() {
	if File_portdomainservice_source_grpc_proto_clientapi_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_portdomainservice_source_grpc_proto_clientapi_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PortsRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_portdomainservice_source_grpc_proto_clientapi_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PortsReply); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_portdomainservice_source_grpc_proto_clientapi_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_portdomainservice_source_grpc_proto_clientapi_proto_goTypes,
		DependencyIndexes: file_portdomainservice_source_grpc_proto_clientapi_proto_depIdxs,
		MessageInfos:      file_portdomainservice_source_grpc_proto_clientapi_proto_msgTypes,
	}.Build()
	File_portdomainservice_source_grpc_proto_clientapi_proto = out.File
	file_portdomainservice_source_grpc_proto_clientapi_proto_rawDesc = nil
	file_portdomainservice_source_grpc_proto_clientapi_proto_goTypes = nil
	file_portdomainservice_source_grpc_proto_clientapi_proto_depIdxs = nil
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// PortsDataClient is the client API for PortsData service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type PortsDataClient interface {
	// Sends a greeting
	PortsData(ctx context.Context, in *PortsRequest, opts ...grpc.CallOption) (*PortsReply, error)
}

type portsDataClient struct {
	cc grpc.ClientConnInterface
}

func NewPortsDataClient(cc grpc.ClientConnInterface) PortsDataClient {
	return &portsDataClient{cc}
}

func (c *portsDataClient) PortsData(ctx context.Context, in *PortsRequest, opts ...grpc.CallOption) (*PortsReply, error) {
	out := new(PortsReply)
	err := c.cc.Invoke(ctx, "/ports.PortsData/PortsData", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// PortsDataServer is the server API for PortsData service.
type PortsDataServer interface {
	// Sends a greeting
	PortsData(context.Context, *PortsRequest) (*PortsReply, error)
}

// UnimplementedPortsDataServer can be embedded to have forward compatible implementations.
type UnimplementedPortsDataServer struct {
}

func (*UnimplementedPortsDataServer) PortsData(context.Context, *PortsRequest) (*PortsReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method PortsData not implemented")
}

func RegisterPortsDataServer(s *grpc.Server, srv PortsDataServer) {
	s.RegisterService(&_PortsData_serviceDesc, srv)
}

func _PortsData_PortsData_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PortsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PortsDataServer).PortsData(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/ports.PortsData/PortsData",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PortsDataServer).PortsData(ctx, req.(*PortsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _PortsData_serviceDesc = grpc.ServiceDesc{
	ServiceName: "ports.PortsData",
	HandlerType: (*PortsDataServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "PortsData",
			Handler:    _PortsData_PortsData_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "portdomainservice/source/grpc/proto/clientapi.proto",
}
